Services How It Works Blog Free Reseller Panel API Login Sign Up Free

Resimi API ドキュメント

はじめに

Resimi API を使用すると、SMM サービスを独自のパネル、アプリ、またはワークフローに統合できます。すべてのリクエストは JSON を返します。この API は、JAP、SMMKings、Peakerr などが使用する標準 SMM パネル API 形式と互換性があるため、切り替えや統合が簡単になります。

ベース URL: https://resimi.xyz/api/v2.php

すべてのエンドポイントは、GET リクエストと POST リクエストの両方を受け入れます。注文とキャンセルには POST を使用し、読み取り専用クエリには GET を使用します。

認証

すべてのリクエストには API キーを key パラメータとして含める必要があります。

API キーは アカウント設定 → API アクセス にあります。秘密にしておいてください。あなたのアカウントと残高に完全にアクセスできます。
GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=balance

エラー

すべてのエラーは、error キーを持つ JSON オブジェクトを返します。

{"error": "Insufficient balance. Please add funds."}
エラーメッセージ意味
無効な API キーキーが間違っているか、アカウントが停止されています
残高不足注文する前に資金を追加してください
サービスが見つからないか、非アクティブですサービスIDが間違っているか、サービスが無効になっています
数量は X と Y の間である必要がありますこのサービスの許容範囲外の数量です
注文が見つかりません注文 ID が存在しないか、別のユーザーに属しています
注文はキャンセルできません注文はすでに完了またはキャンセルされています

サービスを受ける

レートと制限を含むアクティブなサービスの完全なリストを返します。

GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=services

パラメータ

パラメータ種類説明
key requiredstringAPI キー
action requiredstringservices である必要があります

応答

[
  {
    "service": 1234,
    "category": "Instagram",
    "name": "Instagram Followers — HQ | Refill 30 days",
    "type": "Default",
    "rate": "0.5000",
    "min": 100,
    "max": 100000,
    "dripfeed": true,
    "refill": true,
    "cancel": false
  },
  ...
]

注文する

新しい注文を出します。残高はすぐに引き落とされます。注文IDを返します。

POST https://resimi.xyz/api/v2.php
パラメータ種類説明
key requiredstringAPI キー
action requiredstringadd である必要があります
service requiredintegerサービスリストのサービスID
link requiredstring対象のプロフィールまたは投稿の URL
quantity requiredinteger納品する総数量
runs optionalinteger点滴供給回数 (デフォルト: 1)
interval optionalintegerドリップフィード実行間の分数 (デフォルト: 0)
comments optionalstringカスタム コメント (コメント サービス用)、1 行に 1 つ

応答 - 成功

{"order": 98765}

応答 - エラー

{"error": "Insufficient balance. Please add funds."}
ドリップフィード: runs = バッチ数、interval = 各バッチ間の分数を設定します。例 — 7 日間で 1,000 人のフォロワー: quantity=1000&runs=7&interval=1440

注文状況

現在の注文状況を確認します。

GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=status&order=ORDER_ID
パラメータ種類説明
key requiredstringAPI キー
action requiredstringstatus である必要があります
order requiredinteger<code>add</code> から返された注文 ID

応答

{
  "charge": "0.5000",
  "start_count": 1240,
  "status": "In_progress",
  "remains": 630,
  "currency": "USD"
}

ステータス値

ステータス意味
Pendingプロバイダーへの送信を待っています
Processingプロバイダーに送信され、キューに入れられました
In_progress配送中です
Completed完全に納品されました
Partial一部納品、残りは返金
Cancelledキャンセル、残りは返金

注文をキャンセルする

保留中または進行中の注文をキャンセルします。未配達部分は残高に返金されます。

POST https://resimi.xyz/api/v2.php
パラメータ種類説明
key requiredstringAPI キー
action requiredstringcancel である必要があります
order requiredintegerキャンセルする注文ID

応答 - 成功

{"success": true, "refunded": 0.2500}

残高を確認する

API キーに関連付けられたアカウントの現在の残高を返します。

GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=balance

応答

{"balance": "12.4800", "currency": "USD"}

コード例

<?php
$apiUrl = "https://resimi.xyz/api/v2.php";
$apiKey = "YOUR_API_KEY";

function smmApi(string $url, string $key, array $params): array {
    $params['key'] = $key;
    $ch = curl_init($url);
    curl_setopt_array($ch, [
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_POST => true,
        CURLOPT_POSTFIELDS => http_build_query($params),
        CURLOPT_TIMEOUT => 30,
    ]);
    $response = curl_exec($ch);
    curl_close($ch);
    return json_decode($response, true) ?? [];
}

// Get services
$services = smmApi($apiUrl, $apiKey, ['action' => 'services']);

// Place an order
$order = smmApi($apiUrl, $apiKey, [
    'action' => 'add',
    'service' => 1234,
    'link' => 'https://instagram.com/yourprofile',
    'quantity' => 1000,
]);
echo "Order ID: " . ($order['order'] ?? 'Error: ' . $order['error']);

// Check balance
$balance = smmApi($apiUrl, $apiKey, ['action' => 'balance']);
echo "Balance: $" . $balance['balance'];
import requests

API_URL = "https://resimi.xyz/api/v2.php"
API_KEY = "YOUR_API_KEY"

def smm_api(params: dict) -> dict:
    params["key"] = API_KEY
    response = requests.post(API_URL, data=params, timeout=30)
    return response.json()

# Get services
services = smm_api({"action": "services"})
for svc in services[:3]:
    print(f"[{svc['service']}] {svc['name']} - ${svc['rate']}/1K")

# Place an order
order = smm_api({
    "action": "add",
    "service": 1234,
    "link": "https://instagram.com/yourprofile",
    "quantity": 1000,
})
print(f"Order ID: {order.get('order', 'Error: ' + order.get('error', ''))}")

# Check status
status = smm_api({"action": "status", "order": order.get("order")})
print(f"Status: {status.get('status')} | Remains: {status.get('remains')}")

# Check balance
balance = smm_api({"action": "balance"})
print(f"Balance: ${balance['balance']}")
const API_URL = "https://resimi.xyz/api/v2.php";
const API_KEY = "YOUR_API_KEY";

async function smmApi(params) {
    const body = new URLSearchParams({ key: API_KEY, ...params });
    const res = await fetch(API_URL, { method: "POST", body });
    return res.json();
}

// Get services
const services = await smmApi({ action: "services" });
console.log(`Found ${services.length} services`);

// Place an order
const order = await smmApi({
    action: "add",
    service: 1234,
    link: "https://instagram.com/yourprofile",
    quantity: 1000,
});
console.log("Order ID:", order.order ?? "Error: " + order.error);

// Check status
const status = await smmApi({ action: "status", order: order.order });
console.log("Status:", status.status, "| Remains:", status.remains);

// Cancel an order
const cancel = await smmApi({ action: "cancel", order: order.order });
console.log("Refunded:", cancel.refunded);

// Check balance
const balance = await smmApi({ action: "balance" });
console.log("Balance: $" + balance.balance);
# Get services
curl -X GET "https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=services"

# Place an order
curl -X POST "https://resimi.xyz/api/v2.php" \
  -d "key=YOUR_API_KEY" \
  -d "action=add" \
  -d "service=1234" \
  -d "link=https://instagram.com/yourprofile" \
  -d "quantity=1000"

# Place a drip-feed order (1000 followers over 7 days)
curl -X POST "https://resimi.xyz/api/v2.php" \
  -d "key=YOUR_API_KEY" \
  -d "action=add" \
  -d "service=1234" \
  -d "link=https://instagram.com/yourprofile" \
  -d "quantity=1000" \
  -d "runs=7" \
  -d "interval=1440"

# Check order status
curl -X GET "https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=status&order=98765"

# Cancel an order
curl -X POST "https://resimi.xyz/api/v2.php" \
  -d "key=YOUR_API_KEY" \
  -d "action=cancel" \
  -d "order=98765"

# Check balance
curl -X GET "https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=balance"
How can we help?